PROBE::IRQ_HANDLER(3stap)

NAME
probe::irq_handler.exit - Execution of interrupt handler completed

SYNOPSIS

irq_handler.exit

VALUES

next_irqaction
    pointer to next irqaction for shared interrupts

irq
    interrupt number

ret
    return value of the handler

flags_str
    symbolic string representation of IRQ flags

dir
    pointer to the proc/irq/NN/name entry

thread_fn
    interrupt handler function for threaded interrupts

thread_flags
    Flags related to thread

thread
    thread pointer for threaded interrupts

dev_name
    name of device

flags
    flags for IRQ handler

handler
    interrupt handler function that was executed

dev_id
    Cookie to identify device

action
    struct irqaction*

SEE ALSO
tapset::irq(3stap)